Bug 2353 - Config of squid-cachemgr is not compatible with Apache 2.4
: Config of squid-cachemgr is not compatible with Apache 2.4
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 15:12 MSD by Denis Silakov
Modified: 2013-07-22 11:00 MSD (History)
3 users (show)

See Also:
RPM Package: squid
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
dmitry.romashkin: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-07-17 15:12:14 MSD
squid-cachemgr installs config for apache which is not compatible with apache 2.4 used in Desktop Fresh R1.

If you install squid-cachemgr and try to relaunch apache ("systemctl restart httpd"), then it will fail.
Comment 1 Denis Silakov 2013-07-17 15:14:21 MSD
Advisory:

Adapted apache config of squid-cachemgr for Apache 2.4

Build lists:
https://abf.rosalinux.ru/build_lists/1186871
https://abf.rosalinux.ru/build_lists/1186872

After installing these updates, you should be able to go to localhost/cgi-bin/cachemgr.cgi to manage squid cache.
Comment 2 Alexander Petryakov 2013-07-19 02:51:57 MSD
"Путь до контейнера" is empty.
Comment 3 Denis Silakov 2013-07-19 08:02:02 MSD
Oops, sorry, should be fixed now.

(It seems that abf console client doesn't create containers by default, so if I trigger a build using console client, containers are not created; we should definitely improve the client)
Comment 4 Alexander Petryakov 2013-07-20 22:46:28 MSD
squid-3.2.0.17-3
************** Advisory **************
Adapted apache config of squid-cachemgr for Apache 2.4
**************************************
QA Verified